package com.ningdatech.syndataapi.scheduler.model.dto;

import com.ningdatech.syndataapi.scheduler.model.entity.*;
import io.swagger.annotations.ApiModel;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @Classname ProjectSaveDTO
 * @Description
 * @Date 2023/8/25 9:45
 * @Author PoffyZhang
 */
@Data
@ApiModel(value = "SProjectSaveDTO", description = "项目保存")
public class ProjectSaveDTO {

    @NotNull(message = "项目基本信息不能为空")
    private ProjectBaseInfo baseinfo;

    @NotNull(message = "项目申报信息不能为空")
    private ProjectApply apply;

    @NotNull(message = "项目审批信息不能为空")
    private ProjectApprove approve;

    private ProjectCimplement cimplement;

    private ProjectMimplement mimplement;

    private ProjectProcure procure;
}
